# Registro Trailer de Lote

# Baseado na documenta��o da FEBRABAN (Vers�o 09.1 de 19/10/2015)
# Dispon�vel em: http://www.febraban.org.br/LerArquivo.asp?Tabela=Home_Arquivos&codigo=id_arquivo&campo1=arquivo&campo2=QtdeAcessos&id_codigo=3986&campo3=arquivos/

codigo_banco:
  # C�digo do Banco na Compensa��o (G001)
  # C�digo fornecido pelo Banco Central para identifica��o do Banco que est� recebendo ou enviando 
  # o arquivo, com o qual se firmou o contrato de presta��o de servi�os. Preencher com "888" quando 
  # a transfer�ncia for efetuada para outra institui��o financeira utilizando o c�digo ISPB. Neste 
  # caso, dever� ser preenchido o c�digo ISPB no campo 29.3Y.
  pos: [1, 3]
  picture: '9(3)'

lote_servico:
  # Lote de Servi�o (G002)
  # N�mero seq�encial para identificar univocamente um lote de servi�o. Criado e controlado pelo 
  # respons�vel pela gera��o magn�tica dos dados contidos no arquivo.
  # Preencher com '0001' para o primeiro lote do arquivo. Para os demais: n�mero do lote anterior 
  # acrescido de 1. O n�mero n�o poder� ser repetido dentro do arquivo.
  # Se registro for Header do Arquivo preencher com '0000'
  # Se registro for Trailer do Arquivo preencher com '9999'
  pos: [4, 7]
  picture: '9(4)'
  default: '9999'

tipo_registro:
  # Tipo de Registro (G003)
  # C�digo adotado pela FEBRABAN para identificar o tipo de registro.
  # Dom�nio:
  # '0' = Header de Arquivo
  # '1' = Header de Lote
  # '2' = Registros Iniciais do Lote
  # '3' = Detalhe
  # '4' = Registros Finais do Lote
  # '5' = Trailer de Lote
  # '9' = Trailer de Arquivo
  pos: [8, 8]
  picture: '9(1)'
  default: '5'

uso_exclusivo_febraban_01:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [9, 17]
  picture: 'X(9)'
  default: ''

qtde_registro_lote:
  # Quantidade de Registros do Lote (G057)
  # N�mero obtido pela contagem dos registros enviados no lote do arquivo. Somat�ria dos
  # registros de tipo 1, 2, 3, 4 e 5. Registros de tipo 2 e 4 s�o utilizados apenas em alguns
  # produtos (exemplo: Extrato para Gest�o de Caixa).
  pos: [18, 23]
  picture: '9(6)'

qtde_titulo_cobranca_simples:
  # Quantidade de T�tulos em Cobran�a (C070)
  # Somat�ria dos registros enviados no lote do arquivo de acordo com o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [24, 29]
  picture: '9(6)'

valor_total_titulo_simples:
  # Valor Total dos T�tulos em Carteiras (C071)
  # Somat�ria dos valores dos t�tulos de cobran�a enviados no lote do arquivo de acordo com
  # o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [30, 46]
  picture: '9(15)V9(2)'

qtde_titulo_cobranca_vinculada:
  # Quantidade de T�tulos em Cobran�a (C070)
  # Somat�ria dos registros enviados no lote do arquivo de acordo com o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [47, 52]
  picture: '9(6)'
  default: '0'

valor_total_titulo_vinculada:
  # Valor Total dos T�tulos em Carteiras (C071)
  # Somat�ria dos valores dos t�tulos de cobran�a enviados no lote do arquivo de acordo com
  # o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [53, 69]
  picture: '9(15)V9(2)'
  default: '0'

qtde_titulo_cobranca_caucionada:
  # Quantidade de T�tulos em Cobran�a (C070)
  # Somat�ria dos registros enviados no lote do arquivo de acordo com o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [70, 75]
  picture: '9(6)'

valor_total_titulo_caucionada:
  # Valor Total dos T�tulos em Carteiras (C071)
  # Somat�ria dos valores dos t�tulos de cobran�a enviados no lote do arquivo de acordo com
  # o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [76, 92]
  picture: '9(15)V9(2)'

qtde_titulo_cobranca_descontada:
  # Quantidade de T�tulos em Cobran�a (C070)
  # Somat�ria dos registros enviados no lote do arquivo de acordo com o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [93, 98]
  picture: '9(6)'

valor_total_titulo_descontada:
  # Valor Total dos T�tulos em Carteiras (C071)
  # Somat�ria dos valores dos t�tulos de cobran�a enviados no lote do arquivo de acordo com
  # o C�digo da Carteira.
  # S� ser�o utilizados para informa��o do arquivo retorno.
  pos: [99, 115]
  picture: '9(15)V9(2)'

numero_aviso_lancamento:
  # N�mero do Aviso de Lan�amento (C072)
  # N�mero do aviso de lan�amento do cr�dito referente a(os) t�tulo(s) de cobran�a, que
  # poder� ser utilizado no extrato de conta corrente. Para uso na concilia��o autom�tica, ser�
  # utilizado apenas 6 posi��es num�ricas.
  pos: [116, 123]
  picture: 'X(8)'
  default: ''

uso_exclusivo_febraban_02:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [124, 240]
  picture: 'X(117)'
  default: ''